SDL_pandora.h File Reference
`#include <GLES/egl.h>`
`#include "../../SDL_internal.h"`
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_pandora.h:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData
struct | SDL_DisplayData
struct | SDL_WindowData

## Functions

int | PND_videoinit (_THIS)
void | PND_videoquit (_THIS)
void | PND_getdisplaymodes (_THIS, SDL_VideoDisplay *display)
int | PND_setdisplaymode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
int | PND_createwindow (_THIS, SDL_Window *window)
int | PND_createwindowfrom (_THIS, SDL_Window *window, const void *data)
void | PND_setwindowtitle (_THIS, SDL_Window *window)
void | PND_setwindowicon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | PND_setwindowposition (_THIS, SDL_Window *window)
void | PND_setwindowsize (_THIS, SDL_Window *window)
void | PND_showwindow (_THIS, SDL_Window *window)
void | PND_hidewindow (_THIS, SDL_Window *window)
void | PND_raisewindow (_THIS, SDL_Window *window)
void | PND_maximizewindow (_THIS, SDL_Window *window)
void | PND_minimizewindow (_THIS, SDL_Window *window)
void | PND_restorewindow (_THIS, SDL_Window *window)
void | PND_setwindowgrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | PND_destroywindow (_THIS, SDL_Window *window)
SDL_bool | PND_getwindowwminfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
int | PND_gl_loadlibrary (_THIS, const char *path)
void * | PND_gl_getprocaddres (_THIS, const char *proc)
void | PND_gl_unloadlibrary (_THIS)
SDL_GLContext | PND_gl_createcontext (_THIS, SDL_Window *window)
int | PND_gl_makecurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | PND_gl_setswapinterval (_THIS, int interval)
int | PND_gl_getswapinterval (_THIS)
int | PND_gl_swapwindow (_THIS, SDL_Window *window)
void | PND_gl_deletecontext (_THIS, SDL_GLContext context)

## Function Documentation

## PND_createwindow()

int PND_createwindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_createwindowfrom()

int PND_createwindowfrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## PND_destroywindow()

void PND_destroywindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_getdisplaymodes()

void PND_getdisplaymodes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## PND_getwindowwminfo()

SDL_bool PND_getwindowwminfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## PND_gl_createcontext()

SDL_GLContext PND_gl_createcontext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_gl_deletecontext()

void PND_gl_deletecontext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

## PND_gl_getprocaddres()

void* PND_gl_getprocaddres | ( | _THIS | ,
|  | const char * | proc
| ) |  |

## PND_gl_getswapinterval()

int PND_gl_getswapinterval | ( | _THIS |  | ) |

## PND_gl_loadlibrary()

int PND_gl_loadlibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

## PND_gl_makecurrent()

int PND_gl_makecurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

## PND_gl_setswapinterval()

int PND_gl_setswapinterval | ( | _THIS | ,
|  | int | interval
| ) |  |

## PND_gl_swapwindow()

int PND_gl_swapwindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_gl_unloadlibrary()

void PND_gl_unloadlibrary | ( | _THIS |  | ) |

## PND_hidewindow()

void PND_hidewindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_maximizewindow()

void PND_maximizewindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_minimizewindow()

void PND_minimizewindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_raisewindow()

void PND_raisewindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_restorewindow()

void PND_restorewindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_setdisplaymode()

int PND_setdisplaymode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |

## PND_setwindowgrab()

void PND_setwindowgrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## PND_setwindowicon()

void PND_setwindowicon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## PND_setwindowposition()

void PND_setwindowposition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_setwindowsize()

void PND_setwindowsize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_setwindowtitle()

void PND_setwindowtitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_showwindow()

void PND_showwindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## PND_videoinit()

int PND_videoinit | ( | _THIS |  | ) |

## PND_videoquit()

void PND_videoquit | ( | _THIS |  | ) |